Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.value.chained
Class SubChain

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.value.chained.SubChain

All Implemented Interfaces:
  Serializable

    public class SubChain

extends Object
implements Serializable

A subList out of a single chain.

Never includes an anchor.

See Also:
  Serialized Form

Constructor Summary
`SubChain(List<Object> entityList)`

Method Summary
`boolean` | `equals(Object o)`
`List<Object>` | `getEntityList()`
`Object` | `getFirstEntity()`
`Object` | `getLastEntity()`
`int` | `getSize()`
`int` | `hashCode()`
`SubChain` | `reverse()`
`SubChain` | `subChain(int fromIndex, int toIndex)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubChain

    public SubChain(List<Object> entityList)

Method Detail

### getEntityList

    public List<Object> getEntityList()

### getFirstEntity

    public Object getFirstEntity()

### getLastEntity

    public Object getLastEntity()

### getSize

    public int getSize()

### reverse

    public SubChain reverse()

### subChain

    public SubChain subChain(int fromIndex,
                             int toIndex)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.